Loading...
Searching...
No Matches
halide_dimension_t Struct Reference

`#include <HalideRuntime.h>`

## Public Attributes

int32_t | min
int32_t | extent
int32_t | stride
uint32_t | flags

## Detailed Description

Definition at line 1516 of file HalideRuntime.h.

## Member Data Documentation

## min

int32_t halide_dimension_t::min

Definition at line 1539 of file HalideRuntime.h.

Referenced by Halide::Runtime::Internal::calc_device_crop_byte_offset(), Halide::Runtime::Internal::calc_device_slice_byte_offset(), and Halide::Runtime::Internal::make_buffer_copy().

## extent

int32_t halide_dimension_t::extent

Definition at line 1539 of file HalideRuntime.h.

Referenced by Halide::Runtime::Internal::make_buffer_copy().

## stride

int32_t halide_dimension_t::stride

Definition at line 1539 of file HalideRuntime.h.

Referenced by Halide::Runtime::Internal::calc_device_crop_byte_offset(), Halide::Runtime::Internal::calc_device_slice_byte_offset(), and Halide::Runtime::Internal::make_buffer_copy().

## flags

uint32_t halide_dimension_t::flags

Definition at line 1542 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h